0

I downloaded "Ubuntu 12.04 LTS ("Precise Pangolin") AMD64" from VB download page using Ubuntu Software Center to upgrade but it says:

conflicts with the installed package 'virtualbox-guest-additions-iso'

Normaly I'm using apt-get but that don't work for VB.

Can you share information how to upgrade vb 4.2.0 -> 4.2.2?

| improve this question | | | | |
1
  1. Remove the virtualbox-guest-additions-iso package. This will download on demand if required.
  2. Install the new version (tip: you could add the virtualbox repository to keep apt-getting - see further down the download page)
  3. Install the Oracle VM VirtualBox Extension Pack which comes under a separate license but is still monetarily free and available on the main download page.
| improve this answer | | | | |
  • Hi thansk for the reply. So is this the procedure: 1: apt-get remove dkms 2: download the file from "virtualbox.org/wiki/Linux_Downloads" 4: In order to fully update your guest system, open a terminal and run apt-get update as root followed by apt-get upgrade 5: Install DKMS using apt-get install dkms 6: Reboot your guest system in order to activate the updates and then proceed as described above. – user167165 Jun 17 '13 at 8:46
1

The package virtualbox-guest-additions-iso is used by the official Ubuntu packages of VirtualBox to provide the ISO image of the VirtualBox guest additions. This image must be distributed as a separate package, because it is not published under a Free Software license.

The Oracle packages of VirtualBox, however, provide the guest additions ISO image directly, and not in a separate package, so the virtualbox-guest-additions-iso is not needed if you use the Oracle packages, and it should be removed prior to installing them.

| improve this answer | | | | |
1

So is this the procedure:

sudo apt-get remove dkms 

Download the file from virtualbox.org/wiki/Linux_Downloads

In order to fully update your guest system, open a terminal and run

sudo apt-get update && sudo apt-get upgrade 

Install DKMS

sudo apt-get install dkms

Reboot your guest system in order to activate the updates and then proceed as in Oli's answer

| improve this answer | | | | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.